package cn.com.tenlion.configcolumn.pojo.vos.configcolumnset;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 *
 * @ClassName: ConfigColumnSetDisplayVO
 * @Description:
 * @Author: CodeFactory
 * @Date: 2021-07-09 09:48:21
 * @Version: 3.0
 **/
@ApiModel
public class ConfigColumnSetOrderVO {

    @ApiModelProperty(name = "configColumnId", value = "栏目ID")
    private String configColumnId;
    @ApiModelProperty(name = "configColumnSetMode", value = "设置模式1:隐藏,2:更名,3:排序,4:图标(前端无需传入)")
    private String configColumnSetMode = "3";
    @ApiModelProperty(name = "configColumnOrder", value = "更改的排序")
    private Map<String, Integer> configColumnOrder = new HashMap<String, Integer>();

    public Map<String, Integer> getConfigColumnOrder() {
        return configColumnOrder;
    }

    public void setConfigColumnOrder(Map<String, Integer> configColumnOrder) {
        this.configColumnOrder = configColumnOrder;
    }

    public String getConfigColumnId() {
        return configColumnId == null ? "" : configColumnId;
    }

    public void setConfigColumnId(String configColumnId) {
        this.configColumnId = configColumnId;
    }

    public String getConfigColumnSetMode() {
        return configColumnSetMode == null ? "" : configColumnSetMode;
    }

    public void setConfigColumnSetMode(String configColumnSetMode) {
        this.configColumnSetMode = configColumnSetMode;
    }
}
